# SimpleConfigurator.cpp File Reference

`#include "PortabilityImpl.hh"`
`#include <stdio.h>`
`#include <iostream>`
`#include <string>`
`#include <fstream>`
`#include <log4cpp/Category.hh>`
`#include <log4cpp/Appender.hh>`
`#include <log4cpp/OstreamAppender.hh>`
`#include <log4cpp/FileAppender.hh>`
`#include <log4cpp/RollingFileAppender.hh>`
`#include <log4cpp/Layout.hh>`
`#include <log4cpp/BasicLayout.hh>`
`#include <log4cpp/SimpleLayout.hh>`
`#include <log4cpp/Priority.hh>`
`#include <log4cpp/NDC.hh>`
`#include <log4cpp/PatternLayout.hh>`
`#include <log4cpp/SimpleConfigurator.hh>`
`#include <log4cpp/RemoteSyslogAppender.hh>`
`#include <log4cpp/NTEventLogAppender.hh>`

Include dependency graph for SimpleConfigurator.cpp:

## Namespaces

namespace | log4cpp